## libfreenect 0.1.2+dfsg

=== CMakeLists.txt ===
######################################################################################
# License
######################################################################################

# This file is part of the OpenKinect Project. http://www.openkinect.org
#
# Copyright (c) 2010 individual OpenKinect contributors. See the CONTRIB file
# for details.
#
# This code is licensed to you under the terms of the Apache License, version
# 2.0, or, at your option, the terms of the GNU General Public License,
# version 2.0. See the APACHE20 and GPL2 files for the text of the licenses,
# or the following URLs:
# http://www.apache.org/licenses/LICENSE-2.0
# http://www.gnu.org/licenses/gpl-2.0.txt
#
# If you redistribute this file in source form, modified or unmodified, you
# may:
#   1) Leave this header intact and distribute it under the same terms,
#      accompanying it with the APACHE20 and GPL20 files, or
#   2) Delete the Apache 2.0 clause and accompany it with the GPL2 file, or
#   3) Delete the GPL v2 clause and accompany it with the APACHE20 file
# In all cases you must keep the copyright notice intact and include a copy
# of the CONTRIB file.
#
# Binary distributions must follow the binary distribution requirements of
# either License.

######################################################################################
# CMake directives
######################################################################################

#Require 2.6 or higher. 

cmake_minimum_required(VERSION 2.6)

######################################################################################
# Project declaration and options
######################################################################################

PROJECT(libfreenect)

set (PROJECT_VER_MAJOR 0)
set (PROJECT_VER_MINOR 1)
set (PROJECT_VER_PATCH 2)
set (PROJECT_VER 
  "${PROJECT_VER_MAJOR}.${PROJECT_VER_MINOR}.${PROJECT_VER_PATCH}")
set (PROJECT_APIVER 
  "${PROJECT_VER_MAJOR}.${PROJECT_VER_MINOR}")

OPTION(BUILD_AUDIO "Build audio support" OFF)
OPTION(BUILD_REDIST_PACKAGE "Build libfreenect in a legally-redistributable manner (only affects audio)" OFF)
OPTION(BUILD_EXAMPLES "Build example programs" ON)
OPTION(BUILD_FAKENECT "Build fakenect mock library" ON)
OPTION(BUILD_C_SYNC "Build c synchronous library" ON)
OPTION(BUILD_CPP "Build C++ Library (currently header only)" ON)
OPTION(BUILD_CV "Build OpenCV wrapper" OFF)
OPTION(BUILD_AS3_SERVER "Build the Actionscript 3 Server Example" OFF)
OPTION(BUILD_PYTHON "Build Python extension" OFF)
IF(PROJECT_OS_LINUX)
	OPTION(BUILD_CPACK "Build an RPM or DEB using CPack" OFF)
ENDIF(PROJECT_OS_LINUX)

######################################################################################
# CMake Modules
######################################################################################

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")

# Find the host operating system and architecture
include (FindOS)
# Set up installation directories
include (SetupDirectories)

# Find packages needed to build library
find_package(libusb-1.0 REQUIRED)

# Check the endianness of the system
include (TestBigEndian)
test_big_endian(BIG_ENDIAN)
if(BIG_ENDIAN)
  add_definitions(-DFN_BIGENDIAN)
endif()

if(BUILD_AUDIO)
  add_definitions(-DBUILD_AUDIO)
endif()

######################################################################################
# CMake 
######################################################################################

SET(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
SET(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)
SET(DOC_OUTPUT_PATH ${CMAKE_BINARY_DIR}/doc)

# let CFLAGS env override this
if(CMAKE_C_FLAGS STREQUAL "")
  set(CMAKE_C_FLAGS "-O2")
endif()
SET(CMAKE_C_FLAGS_DEBUG "-g -DDEBUG=1")
SET(CMAKE_C_FLAGS_RELEASE "-O2")
SET(CMAKE_C_FLAGS_RELWITHDEBINFO "-O2 -g")

add_definitions(-Wall)

# Pretty much everyone is going to need the main includes
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)

# libfreenect.h includes libusb.h, so everyone needs this too
include_directories(${LIBUSB_1_INCLUDE_DIRS})

if(WIN32)
  include_directories("${CMAKE_CURRENT_SOURCE_DIR}/platform/windows")
  include_directories("${CMAKE_CURRENT_SOURCE_DIR}/platform/windows/libusb10emu")
endif()

# Add library project
add_subdirectory (src)

# Add examples
IF(BUILD_EXAMPLES)
  add_subdirectory (examples)
ENDIF()

IF(BUILD_FAKENECT)
  add_subdirectory (fakenect)
ENDIF()

IF(BUILD_C_SYNC)
  add_subdirectory (wrappers/c_sync)
ENDIF()

IF(BUILD_CPP)
  add_subdirectory (wrappers/cpp)
ENDIF()

IF(BUILD_CV)
  add_subdirectory (wrappers/opencv)
ENDIF()

IF(BUILD_AS3_SERVER)
  add_subdirectory(wrappers/actionscript)
ENDIF()

IF(BUILD_PYTHON)
  add_subdirectory (wrappers/python)
ENDIF()

######################################################################################
# Extras
######################################################################################

# Create an uninstall target
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/UninstallTarget.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/UninstallTarget.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall
  COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/UninstallTarget.cmake)

# Create Debian/RPM Packages
# after make, use "fakeroot cpack" in the build Dir to complete

IF ( BUILD_CPACK )
  set(CPACK_PACKAGE_DESCRIPTION "libfreenect for kinect")
  set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "libfreenect library for using kinect")
  set(CPACK_PACKAGE_NAME "libfreenect-dev")
  set(CPACK_DEBIAN_PACKAGE_DEPENDS "libusb-1.0.0-dev")

  set(CPACK_PACKAGE_CONTACT "OpenKinect <openkinect@googlegroups.com>")
  #set(CPACK_PACKAGE_VENDOR "")
  set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VER_MAJOR})
  set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VER_MINOR})
  set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VER_PATCH})
  set(VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")

  set(CPACK_GENERATOR "DEB;RPM;")
  set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}-${CMAKE_SYSTEM_PROCESSOR}")

  include(CPack)

  INSTALL(FILES "${CMAKE_BINARY_DIR}/lib/libfreenect.a" DESTINATION ${PROJECT_LIBRARY_INSTALL_DIR})
  if (BUILD_AUDIO)
    INSTALL(FILES "include/libfreenect-audio.h" DESTINATION ${PROJECT_INCLUDE_INSTALL_DIR})
  endif()
  INSTALL(FILES "include/libfreenect.h" DESTINATION ${PROJECT_INCLUDE_INSTALL_DIR})
  INSTALL(FILES "include/libfreenect-registration.h" DESTINATION ${PROJECT_INCLUDE_INSTALL_DIR})
  INSTALL(FILES "APACHE20" DESTINATION "share/doc/${CPACK_PACKAGE_NAME}")
  INSTALL(FILES "GPL2" DESTINATION "share/doc/${CPACK_PACKAGE_NAME}")
  INSTALL(FILES "README.asciidoc" DESTINATION "share/doc/${CPACK_PACKAGE_NAME}")

ENDIF ( BUILD_CPACK )

=== examples/CMakeLists.txt ===
######################################################################################
# Packages needed for examples
######################################################################################

set(CMAKE_C_FLAGS "-Wall")

if (WIN32)
  set_source_files_properties(glview.c PROPERTIES LANGUAGE CXX)
  set_source_files_properties(regview.c PROPERTIES LANGUAGE CXX)
  set_source_files_properties(glpclview.c PROPERTIES LANGUAGE CXX)
  set_source_files_properties(hiview.c PROPERTIES LANGUAGE CXX)
  set_source_files_properties(tiltdemo.c PROPERTIES LANGUAGE CXX)

  set(THREADS_USE_PTHREADS_WIN32 true)
  find_package(Threads REQUIRED)

  include_directories(${THREADS_PTHREADS_INCLUDE_DIR})
endif()

add_executable(glview glview.c)
add_executable(regview regview.c)
add_executable(hiview hiview.c)
if(BUILD_AUDIO)
  add_executable(wavrecord wavrecord.c)
  add_executable(micview micview.c)
endif()

if (BUILD_C_SYNC)
  add_executable(glpclview glpclview.c)
  add_executable(tiltdemo tiltdemo.c)
  add_executable(regtest regtest.c)
endif()

# We need to include libfreenect_sync.h for glpclview
include_directories (../wrappers/c_sync/)

# Mac just has everything already
if(APPLE)
  set(CMAKE_EXE_LINKER_FLAGS "-framework OpenGL -framework GLUT")
  target_link_libraries(glview freenect)
  target_link_libraries(regview freenect)
  target_link_libraries(hiview freenect)
  if (BUILD_AUDIO)
    target_link_libraries(wavrecord freenect)
    target_link_libraries(micview freenect)
  endif()
  if (BUILD_C_SYNC)
    target_link_libraries(glpclview freenect_sync)
    target_link_libraries(tiltdemo freenect_sync)
    target_link_libraries(regtest freenect_sync)
  endif()
# Linux, not so much
else()

  find_package(Threads REQUIRED)
  find_package(OpenGL REQUIRED)
  find_package(GLUT REQUIRED)

  include_directories(${OPENGL_INCLUDE_DIRS} ${GLUT_INCLUDE_DIRS} ${USB_INCLUDE_DIRS})

  if (WIN32)
    set(MATH_LIB "")
  else(WIN32)
    set(MATH_LIB "m")
  endif()

  target_link_libraries(glview freenect ${OPENGL_LIBRARIES} ${GLUT_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIB})
  target_link_libraries(regview freenect ${OPENGL_LIBRARIES} ${GLUT_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIB})
  target_link_libraries(hiview freenect ${OPENGL_LIBRARIES} ${GLUT_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIB})
  if (BUILD_AUDIO)
    target_link_libraries(wavrecord freenect ${OPENGL_LIBRARIES} ${GLUT_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIB})
    target_link_libraries(micview freenect ${OPENGL_LIBRARIES} ${GLUT_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIB})
  endif()
  if (BUILD_C_SYNC)
    target_link_libraries(glpclview freenect_sync ${OPENGL_LIBRARIES} ${GLUT_LIBRARY}
 ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIB})
    target_link_libraries(tiltdemo freenect_sync ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIB})
    target_link_libraries(regtest freenect_sync ${CMAKE_THREAD_LIBS_INIT})
  endif()
endif()


install (TARGETS glview regview hiview
  DESTINATION bin)

if (BUILD_C_SYNC)
  install (TARGETS glpclview tiltdemo
    DESTINATION bin)
endif()

if (BUILD_AUDIO)
  install (TARGETS wavrecord DESTINATION bin)
  install (TARGETS micview DESTINATION bin)
endif()

=== fakenect/CMakeLists.txt ===
######################################################################################
# Fakenect Mock Library
######################################################################################
SET(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
SET(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib/fakenect)
add_library (fakenect SHARED fakenect.c)
set_target_properties ( fakenect PROPERTIES
  VERSION ${PROJECT_VER}
  SOVERSION ${PROJECT_APIVER}
  OUTPUT_NAME freenect)

install (TARGETS fakenect
  DESTINATION "${PROJECT_LIBRARY_INSTALL_DIR}/fakenect")

add_executable(record record.c)
target_link_libraries(record freenect m)
install (TARGETS record
  DESTINATION bin)

CONFIGURE_FILE("fakenect.sh.in"
  "fakenect.sh"
  IMMEDIATE @ONLY)
install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/fakenect.sh
  DESTINATION bin
  RENAME fakenect)

=== src/CMakeLists.txt ===
######################################################################################
# Build for main library
######################################################################################

include_directories (${CMAKE_CURRENT_SOURCE_DIR})

set(CMAKE_C_FLAGS "-Wall")

include_directories(${LIBUSB_1_INCLUDE_DIRS})
IF(WIN32)
  LIST(APPEND SRC core.c tilt.c cameras.c usb_libusb10.c registration.c ../platform/windows/libusb10emu/libusb-1.0/libusbemu.cpp ../platform/windows/libusb10emu/libusb-1.0/failguard.cpp)
  set_source_files_properties(${SRC} PROPERTIES LANGUAGE CXX)
ELSE(WIN32)
  LIST(APPEND SRC core.c tilt.c cameras.c usb_libusb10.c registration.c)
ENDIF(WIN32)

IF(BUILD_AUDIO)
  include(FindPythonInterp)
  LIST(APPEND SRC audio.c loader.c)
  IF(BUILD_REDIST_PACKAGE)
    # If this build is intended for a redistributable package, we can't include audios.bin, so we should include fwfetcher.py
    # and the package should run "python fwfetcher.py $INSTALL_PREFIX/share" as a postinst hook
    install (FILES "fwfetcher.py" DESTINATION "${CMAKE_INSTALL_PREFIX}/share")
  ELSE(BUILD_REDIST_PACKAGE)
    # If the install is local only, we can just run fwfetcher.py and install the audios.bin firmware to the system folder
    add_custom_target(firmware ALL
        COMMAND ${PYTHON_EXECUTABLE} "${CMAKE_CURRENT_SOURCE_DIR}/fwfetcher.py" "../audios.bin"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/fwfetcher.py")
    install (FILES "${CMAKE_CURRENT_BINARY_DIR}/../audios.bin" DESTINATION "${CMAKE_INSTALL_PREFIX}/share/libfreenect")
  ENDIF()
ENDIF()

add_library (freenect SHARED ${SRC})
set_target_properties ( freenect PROPERTIES
  VERSION ${PROJECT_VER}
  SOVERSION ${PROJECT_APIVER})	
install (TARGETS freenect
  DESTINATION "${PROJECT_LIBRARY_INSTALL_DIR}")

add_library (freenectstatic STATIC ${SRC})
set_target_properties (freenectstatic PROPERTIES OUTPUT_NAME freenect)
IF(UNIX AND NOT APPLE)
  SET_TARGET_PROPERTIES (freenectstatic PROPERTIES COMPILE_FLAGS "-fPIC")
ENDIF()
install (TARGETS freenectstatic
  DESTINATION "${PROJECT_LIBRARY_INSTALL_DIR}")

target_link_libraries (freenect ${LIBUSB_1_LIBRARIES})
target_link_libraries (freenectstatic ${LIBUSB_1_LIBRARIES})

# Install the header files
install (FILES "../include/libfreenect.h" "../include/libfreenect-registration.h"
  DESTINATION ${PROJECT_INCLUDE_INSTALL_DIR})
if(BUILD_AUDIO)
  install (FILES "../include/libfreenect-audio.h"
    DESTINATION ${PROJECT_INCLUDE_INSTALL_DIR})
endif()

IF(UNIX AND NOT APPLE)
  # Produce a pkg-config file for linking against the shared lib
  configure_file ("libfreenect.pc.in" "libfreenect.pc" @ONLY)
  install (FILES "${CMAKE_CURRENT_BINARY_DIR}/libfreenect.pc"
    DESTINATION "${PROJECT_LIBRARY_INSTALL_DIR}/pkgconfig")
ENDIF()

=== wrappers/actionscript/CMakeLists.txt ===
######################################################################################
# ActionScript socket server builder
######################################################################################

find_package(JPEG REQUIRED)

include_directories(${JPEG_INCLUDE_DIR})

add_library (as3_jpeg server/as3_jpeg.c)
target_link_libraries (as3_jpeg ${JPEG_LIBRARIES})

add_library (freenect_network server/freenect_network.c)

if (WIN32)
  set_source_files_properties(server/as3-server.c PROPERTIES LANGUAGE CXX)

  set(THREADS_USE_PTHREADS_WIN32 true)
  find_package(Threads REQUIRED)

  include_directories(${THREADS_PTHREADS_INCLUDE_DIR})
endif()

add_executable(as3-server server/as3-server.c)
if(APPLE)
	set(CMAKE_EXE_LINKER_FLAGS "-framework CoreFoundation -framework IOKit")
else(APPLE)
	find_package(Threads REQUIRED)
	if (WIN32)
	   set(MATH_LIB "")
	else(WIN32)
	  set(MATH_LIB "m")
	endif()

endif()
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../wrappers/c_sync)

target_link_libraries(as3-server freenect_sync_static as3_jpeg freenect_network ${MATH_LIB} ${CMAKE_THREAD_LIBS_INIT})

=== wrappers/c_sync/CMakeLists.txt ===
######################################################################################
# C Synchronous Interface
######################################################################################
if (WIN32)
  set_source_files_properties(libfreenect_sync.c PROPERTIES LANGUAGE CXX)

  set(THREADS_USE_PTHREADS_WIN32 true)
  find_package(Threads REQUIRED)
  include_directories(${THREADS_PTHREADS_INCLUDE_DIR})
endif()

add_library (freenect_sync SHARED libfreenect_sync.c)
add_library (freenect_sync_static STATIC libfreenect_sync.c)
set_target_properties (freenect_sync_static PROPERTIES OUTPUT_NAME freenect_sync)

set_target_properties (freenect_sync PROPERTIES
  VERSION ${PROJECT_VER}
  SOVERSION ${PROJECT_APIVER})

target_link_libraries (freenect_sync freenect ${CMAKE_THREAD_LIBS_INIT})
target_link_libraries (freenect_sync_static freenect ${CMAKE_THREAD_LIBS_INIT})

install (TARGETS freenect_sync
  DESTINATION "${PROJECT_LIBRARY_INSTALL_DIR}")
install (TARGETS freenect_sync_static
  DESTINATION "${PROJECT_LIBRARY_INSTALL_DIR}")
install (FILES "libfreenect_sync.h"
  DESTINATION ${PROJECT_INCLUDE_INSTALL_DIR})

=== wrappers/cpp/CMakeLists.txt ===
INSTALL(FILES libfreenect.hpp
  DESTINATION include)

IF(BUILD_EXAMPLES)

set(CMAKE_C_FLAGS "-Wall")

if (WIN32)
  set(THREADS_USE_PTHREADS_WIN32 true)
  find_package(Threads REQUIRED)

  include_directories(${THREADS_PTHREADS_INCLUDE_DIR})
endif()

include_directories(.)

add_executable(cppview cppview.cpp)

# Mac just has everything already
if(APPLE)
  set(CMAKE_EXE_LINKER_FLAGS "-framework OpenGL -framework GLUT")
  target_link_libraries(cppview freenect)
else()
  find_package(Threads REQUIRED)
  find_package(OpenGL REQUIRED)
  find_package(GLUT REQUIRED)

  include_directories(${OPENGL_INCLUDE_DIRS} ${GLUT_INCLUDE_DIRS} ${USB_INCLUDE_DIRS})

  if (WIN32)
    set(MATH_LIB "")
  else(WIN32)
    set(MATH_LIB "m")
  endif()

  target_link_libraries(cppview freenect ${OPENGL_LIBRARIES} ${GLUT_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIB})
endif()

install (TARGETS cppview
  DESTINATION bin)

ENDIF()

=== debian/changelog ===
libfreenect (1:0.1.2+dfsg-6~nd60+1) squeeze; urgency=low

  * Backported for squeeze.
  * Applied additional patch from debian/patches/squeeze-dsc-patch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 22 May 2012 13:08:02 -0400

libfreenect (1:0.1.2+dfsg-6) unstable; urgency=low

  [ Nicolas Bourdaud ]
  * Make build system compatible with multiarch:
    - dont-postfix-to-install-libdir.patch becomes use-standard-libdir.patch
  * Bump debhelper compatibility level to 9.
  * Add multiarch support.
  * Remove useless section fields from debian/control.
  * Use dh_python2 instead of dh_pysupport.
  * Update manpages with keyboard shortcuts. (Closes: #663869)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 22 May 2012 12:55:02 -0400

libfreenect (1:0.1.2+dfsg-5) unstable; urgency=low

  [ Nicolas Bourdaud ]
  * Execute dh_numpy for python-freenect to fix lintian error
  * Bump policy version to 3.9.3 -- no changes
  * Update remove-libusb-include-from-exported-header.patch to fix warnings
    about undeclared struct timeval when using libfreenect.h

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 04 Mar 2012 21:42:06 -0500

libfreenect (1:0.1.2+dfsg-4) unstable; urgency=low

  [ Nicolas Bourdaud ]
  * Improved the package description.
  * Drop outdated libglut3-dev from Build-Depends 
  * Add libfreenect-doc to the dependencies of freenect metapackage 
  * Remove the paragraph about conflict with kernel module in README.Debian 

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Feb 2012 19:00:15 -0500

libfreenect (1:0.1.2+dfsg-3) experimental; urgency=low

  [ Yaroslav Halchenko ]
  * Adding Replaces and Breaks for -bin package (Closes: #658712)
    Thanks to Andreas Beckman for the report
  * Respect 'nodoc' flag in DEB_BUILD_OPTIONS

  [ Nicolas Bourdaud ]
  * Fix execution on ARM platforms
    new patch: cameras-memcpy-structs-into-aligned-buffer.patch
  * Fix build on big endian platform
    new patch: build-on-big-endian-systems-again.patch

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 06 Feb 2012 09:47:19 -0500

libfreenect (1:0.1.2+dfsg-2) experimental; urgency=low

  [ Nicolas Bourdaud ]
  * Move doxygen from Build-Depends-Indep to Build-Depends.
  * Revert libfreenect-demos to libdevel section

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Feb 2012 23:14:33 -0500

libfreenect (1:0.1.2+dfsg-1) experimental; urgency=low

  [ Nicolas Bourdaud ]
  * New upstream release (Closes: #653501)
  * Use libfreenect.0.0.udev file instead of custom install and postinst
    script to install udev rules.
  * Switch to source package format "3.0 (quilt)". Thus source code
    modifications have been converted into quilt patches:
      - New patch dont-install-into-include-subfolder.patch
      - New patch dont-postfix-to-install-libdir.patch
      - New patch modify-fakenect-install.patch
  * Add remove-libusb-include-from-exported-header.patch to drop the
    dependency of libfreenect-dev on libusb-1.0-dev.
  * Add correct-libusb-search-and-include.patch to adjust libusb include
    statements and fix cmake test of libusb.
  * Switch from cdbs to dh
  * Update SONAME from libfreenect0.0 to libfreenect0.1.
  * New patch: add-missing-libs.patch
  * Add -doc package.
  * Set Nicolas as maintainer and move Arne as uploader.
  * Rename libfreenect-demos into libfreenect-bin and add utilities to it.
  * Stop shipping static libraries
  * Update Vcs-* fields in debian/control
  
  [ Yaroslav Halchenko ]
  * python-freenect: Added module frame_convert.py within examples

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Tue, 31 Jan 2012 21:46:14 +0100

libfreenect (1:0.0.1+20101211+2-4~pre1) UNRELEASED; urgency=low

  * Added symbols file for libfreenect0.0

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 18 Jan 2012 11:42:00 -0500

libfreenect (1:0.0.1+20101211+2-3) unstable; urgency=low

  [ Nicolas Bourdaud ]
  * [03039eb] Remove useless explicit dependencies (e.g. libglut3) of
    binary packages (Closes: #616525)

  [ Yaroslav Halchenko ]
  * Moved GPL-2 license stud to a separate paragraph
  * Boosted policy compliance to 3.9.2 -- no changes
  * Moved numpy into Depends from Suggests (Closes: #641792)
  * Added Build-Depends on python-support and call to dh_pysupport in
    binary-install (Closes: #632062)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 16 Jan 2012 22:24:06 -0500

libfreenect (1:0.0.1+20101211+2-2) unstable; urgency=low

  * Added freeglut3-dev as a leading alternative to libglut3-dev

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 26 Jun 2011 09:36:02 -0400

libfreenect (1:0.0.1+20101211+2-1) unstable; urgency=low

  * Initial release for Debian (Closes: #606831)
  * Cherry-picked (into .orig.tar.gz) from upstream to resolve licensing
    issues:
    - [9cdc713] Removed old, unused kinect protocol documentation, as all
      info now exists on wiki and should be exported from there as needed
    - [3390f9b] Added BSD license into libusb-1.0 finder for compliance
    - [0a165cf] Carry pre-generated CONTRIB to be distributed/installed
      under /u/s/doc/*freenect* to fulfill upstream license requirement
  * [64cb9a2] debian/copyright: migrated to DEP5 format
    - added missing statement for cmake_modules/Findlibusb-1.0.cmake
  * [f34b2ea] added debian/blends and injected into the debian-science
    task files
  * [17eb497] pruning done debian/TODO items

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Feb 2011 16:57:13 -0500

libfreenect (1:0.0.1+20101211+1-2) UNRELEASED; urgency=low

  [ arnebe ]
  * [a20ff19] Added missing dependency to libfreenect0.0 in
    libfreenect-dev

  [ Yaroslav Halchenko ]
  * [2533ceb] Added missing dependency to udev in libfreenect0.0,


=== debian/control ===
Source: libfreenect
Section: libdevel
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Uploaders: Arne Bernin <arne@alamut.de>, Yaroslav Halchenko <debian@onerussian.com>, Mark Renouf <mark.renouf@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake,  pkg-config, python-support,
 libusb-1.0-0-dev, freeglut3-dev, libxmu-dev, libxi-dev,
 python-dev, cython, python-numpy, doxygen
Standards-Version: 3.9.3
Homepage: http://openkinect.org/
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/libfreenect.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/libfreenect.git

Package: libfreenect0.1
Section: libs
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Conflicts: libfreenect
Description: library for accessing Kinect device
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This package contains the shared library of libfreenect.

Package: libfreenect-dev
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends}, libfreenect0.1 (= ${binary:Version})
Description: library for accessing Kinect device -- development files
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This is the development package containing the libraries and header for
 software development with libfreenect.

Package: libfreenect-bin
Section: utils
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Replaces: libfreenect-demos (<< 1:0.1.2+dfsg-1)
Breaks: libfreenect-demos (<< 1:0.1.2+dfsg-1)
Description: library for accessing Kinect device -- utilities and samples
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This package includes utilities and sample programs for kinect.

Package: libfreenect-demos
Architecture: any
Depends: neurodebian-popularity-contest, libfreenect-bin, ${misc:Depends}
Description: library for accessing Kinect device -- dummy package
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This package is a metapackage to do the transition from libfreenect-demos
 to libfreenect-bin. This package can be removed after installation.

Package: libfreenect-doc
Section: doc
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Description: library for accessing Kinect device -- documentation
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This package contains the documentation of the API of libfreenect.

Package: python-freenect
Section: python
Architecture: any
Provides: ${python:Provides}
Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
         libfreenect0.1 (= ${binary:Version}), python-numpy
Suggests: python-matplotlib, python-opencv
Description: library for accessing Kinect device -- Python bindings
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This package provides freenect extension to use libfreenect functionality
 from Python and includes some demo scripts.

Package: freenect
Section: libs
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends}, libfreenect-bin, libfreenect-dev, libfreenect0.1,
 libfreenect-doc
Description: library for accessing Kinect device -- metapackage
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This is the metapackage to install all components of the project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LDFLAGS=-Wl,-Bsymbolic-functions -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_PYTHON:Bool=True

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	doxygen debian/doxygen.conf
else
	: # Documentation was not built due to nodoc flag in DEB_BUILD_OPTIONS
	: # Creating dummy blank debian/html expected by -doc package
	mkdir -p debian/html
endif

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/usr/bin/glview debian/tmp/usr/bin/freenect-glview
	mv debian/tmp/usr/bin/glpclview debian/tmp/usr/bin/freenect-glpclview
	mv debian/tmp/usr/bin/cppview debian/tmp/usr/bin/freenect-cppview

override_dh_pysupport:
	dh_pysupport -ppython-freenect
	if [ -x /usr/bin/dh_numpy ]; then dh_numpy -ppython-freenect; fi

override_dh_installdocs:
	dh_installdocs --all CONTRIB

override_dh_makeshlibs:
	dh_makeshlibs -Xfakenect

override_dh_clean:
	rm -rf debian/html
	dh_clean

## libfreenect 0.2.0%2Bdfsg

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,10 +8,10 @@
 
 include_directories(${LIBUSB_1_INCLUDE_DIRS})
 IF(WIN32)
-  LIST(APPEND SRC core.c tilt.c cameras.c usb_libusb10.c registration.c ../platform/windows/libusb10emu/libusb-1.0/libusbemu.cpp ../platform/windows/libusb10emu/libusb-1.0/failguard.cpp)
+  LIST(APPEND SRC core.c tilt.c cameras.c flags.c usb_libusb10.c registration.c ../platform/windows/libusb10emu/libusb-1.0/libusbemu.cpp ../platform/windows/libusb10emu/libusb-1.0/failguard.cpp)
   set_source_files_properties(${SRC} PROPERTIES LANGUAGE CXX)
 ELSE(WIN32)
-  LIST(APPEND SRC core.c tilt.c cameras.c usb_libusb10.c registration.c)
+  LIST(APPEND SRC core.c tilt.c cameras.c flags.c usb_libusb10.c registration.c)
 ENDIF(WIN32)
 
 IF(BUILD_AUDIO)

=== wrappers/c_sync/CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,11 @@
 ######################################################################################
 if (WIN32)
   set_source_files_properties(libfreenect_sync.c PROPERTIES LANGUAGE CXX)
+  set(THREADS_USE_PTHREADS_WIN32 true)
+endif()
 
-  set(THREADS_USE_PTHREADS_WIN32 true)
-  find_package(Threads REQUIRED)
-  include_directories(${THREADS_PTHREADS_INCLUDE_DIR})
-endif()
+find_package(Threads REQUIRED)
+include_directories(${THREADS_PTHREADS_INCLUDE_DIR})
 
 add_library (freenect_sync SHARED libfreenect_sync.c)
 add_library (freenect_sync_static STATIC libfreenect_sync.c)
@@ -26,3 +26,4 @@
   DESTINATION "${PROJECT_LIBRARY_INSTALL_DIR}")
 install (FILES "libfreenect_sync.h"
   DESTINATION ${PROJECT_INCLUDE_INSTALL_DIR})
+

=== wrappers/opencv/CMakeLists.txt ===
######################################################################################
# OpenCV Interface
######################################################################################
find_package(OpenCV REQUIRED)
add_library (freenect_cv SHARED libfreenect_cv.c)
set_target_properties (freenect_cv PROPERTIES
  VERSION ${PROJECT_VER}
  SOVERSION ${PROJECT_APIVER})

include_directories (../c_sync)

target_link_libraries (freenect_cv freenect_sync ${OpenCV_LIBS})

install (TARGETS freenect_cv
  DESTINATION "${PROJECT_LIBRARY_INSTALL_DIR}")
install (FILES "libfreenect_cv.h"
  DESTINATION ${PROJECT_INCLUDE_INSTALL_DIR})

add_executable(cvdemo cvdemo.c)
target_link_libraries(cvdemo freenect freenect_sync freenect_cv ${OpenCV_LIBS})
install (TARGETS cvdemo
  DESTINATION bin)

## libfreenect 0.2.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,8 +41,8 @@
 PROJECT(libfreenect)
 
 set (PROJECT_VER_MAJOR 0)
-set (PROJECT_VER_MINOR 1)
-set (PROJECT_VER_PATCH 2)
+set (PROJECT_VER_MINOR 2)
+set (PROJECT_VER_PATCH 0)
 set (PROJECT_VER 
   "${PROJECT_VER_MAJOR}.${PROJECT_VER_MINOR}.${PROJECT_VER_PATCH}")
 set (PROJECT_APIVER 
@@ -86,6 +86,12 @@
   add_definitions(-DBUILD_AUDIO)
 endif()
 
+if (WIN32)
+   set(MATH_LIB "")
+else(WIN32)
+  set(MATH_LIB "m")
+endif()
+
 ######################################################################################
 # CMake 
 ######################################################################################
@@ -112,7 +118,7 @@
 
 if(WIN32)
   include_directories("${CMAKE_CURRENT_SOURCE_DIR}/platform/windows")
-  include_directories("${CMAKE_CURRENT_SOURCE_DIR}/platform/windows/libusb10emu")
+  include_directories("${CMAKE_CURRENT_SOURCE_DIR}/platform/windows/libusb10emu/libusb-1.0")
 endif()
 
 # Add library project

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -56,13 +56,7 @@
   find_package(OpenGL REQUIRED)
   find_package(GLUT REQUIRED)
 
-  include_directories(${OPENGL_INCLUDE_DIRS} ${GLUT_INCLUDE_DIRS} ${USB_INCLUDE_DIRS})
-
-  if (WIN32)
-    set(MATH_LIB "")
-  else(WIN32)
-    set(MATH_LIB "m")
-  endif()
+  include_directories(${OPENGL_INCLUDE_DIR} ${GLUT_INCLUDE_DIR} ${USB_INCLUDE_DIRS})
 
   target_link_libraries(glview freenect ${OPENGL_LIBRARIES} ${GLUT_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIB})
   target_link_libraries(regview freenect ${OPENGL_LIBRARIES} ${GLUT_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIB})

=== fakenect/CMakeLists.txt ===
--- 
+++ 
@@ -8,12 +8,13 @@
   VERSION ${PROJECT_VER}
   SOVERSION ${PROJECT_APIVER}
   OUTPUT_NAME freenect)
+target_link_libraries(fakenect ${MATH_LIB})
 
 install (TARGETS fakenect
   DESTINATION "${PROJECT_LIBRARY_INSTALL_DIR}/fakenect")
 
 add_executable(record record.c)
-target_link_libraries(record freenect m)
+target_link_libraries(record freenect)
 install (TARGETS record
   DESTINATION bin)

=== wrappers/cpp/CMakeLists.txt ===
--- 
+++ 
@@ -25,13 +25,7 @@
   find_package(OpenGL REQUIRED)
   find_package(GLUT REQUIRED)
 
-  include_directories(${OPENGL_INCLUDE_DIRS} ${GLUT_INCLUDE_DIRS} ${USB_INCLUDE_DIRS})
-
-  if (WIN32)
-    set(MATH_LIB "")
-  else(WIN32)
-    set(MATH_LIB "m")
-  endif()
+  include_directories(${OPENGL_INCLUDE_DIR} ${GLUT_INCLUDE_DIR} ${USB_INCLUDE_DIRS})
 
   target_link_libraries(cppview freenect ${OPENGL_LIBRARIES} ${GLUT_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIB})
 endif()

=== wrappers/python/CMakeLists.txt ===
######################################################################################
# Python extension builder
######################################################################################

include(FindPythonInterp)
include(FindPythonLibs)

find_program(CYTHON_EXECUTABLE cython)

# Figure out installation path
execute_process(COMMAND
  ${PYTHON_EXECUTABLE} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(prefix='${CMAKE_INSTALL_PREFIX}')"
  OUTPUT_VARIABLE PYTHON_SITE_PACKAGES OUTPUT_STRIP_TRAILING_WHITESPACE)

# Figure out numpy include path
execute_process(COMMAND
  ${PYTHON_EXECUTABLE} -c "import numpy; print numpy.get_include()"
  OUTPUT_VARIABLE NUMPY_INCLUDE_PATH OUTPUT_STRIP_TRAILING_WHITESPACE)

# How to Cython the .pyx file
add_custom_command(OUTPUT freenect.c
  COMMAND ${CYTHON_EXECUTABLE} -o freenect.c "${CMAKE_CURRENT_SOURCE_DIR}/freenect.pyx")
list(APPEND ADDITIONAL_MAKE_CLEAN_FILES freenect.c)

# Compile the extension
add_library(cython_freenect MODULE freenect.c)
set_target_properties(cython_freenect PROPERTIES
  PREFIX ""
  OUTPUT_NAME "freenect"
  LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(cython_freenect freenect_sync)
include_directories(${PYTHON_INCLUDE_PATH} ../c_sync/ ${NUMPY_INCLUDE_PATH})

# Install the extension
install(TARGETS cython_freenect
  DESTINATION ${PYTHON_SITE_PACKAGES})

# TODO: decide on what to do with demo_ scripts and were to install
#       them

=== debian/changelog ===
libfreenect (1:0.2.0+dfsg-2) unstable; urgency=low

  * debian/patches
    - correct-libusb-path.patch - "reintroduced" to fix a single left-out
      versioned include of libusb.h . Should resolve FTBFS on kfreeebsd
      (Closes: #728483)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Nov 2013 14:44:18 -0400

libfreenect (1:0.2.0+dfsg-1) unstable; urgency=low

  * Fresh upstream release
    - support of newer Kinect models (Closes: #723939). Thanks Andrew Harvey
      for the report
    - packaged is actually v0.2.0-1-g5eed1f0 (i.e. 1 commit after release tag)
      to have correct version specified to cmake
    - public library API dropped some functions (retained in the source but
      marked as 'hidden'), SOVERSION boosted to 0.2
  * debian/patches
    - add-missing-libs.patch and modify-fakenect-install.patch -- updated
    - removed (absorbed upstream):
      build-on-big-endian-systems-again.patch
      cameras-memcpy-structs-into-aligned-buffer.patch
      correct-libusb-search-and-include.patch
      remove-libusb-include-from-exported-header.patch
  * debian/copyright
    - updated to include wrappers/ruby/ffi-libfreenect copyright/license
      (Thanks Paul Tagliamonte for the review/report)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 27 Oct 2013 09:42:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: libfreenect
 Section: libdevel
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
+Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
 Uploaders: Arne Bernin <arne@alamut.de>, Yaroslav Halchenko <debian@onerussian.com>, Mark Renouf <mark.renouf@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake,  pkg-config, python-support,
+Build-Depends: debhelper (>= 9), cmake,  pkg-config,
  libusb-1.0-0-dev, freeglut3-dev, libxmu-dev, libxi-dev,
- python-dev, cython, python-numpy, doxygen
+ python-all-dev (>= 2.6.6-3~), cython, python-numpy, doxygen
+X-Python-Version: 2.7
 Standards-Version: 3.9.3
 Homepage: http://openkinect.org/
 Vcs-Git: git://anonscm.debian.org/pkg-exppsy/libfreenect.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/libfreenect.git
 
-Package: libfreenect0.1
+Package: libfreenect0.2
 Section: libs
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libfreenect
 Description: library for accessing Kinect device
  libfreenect is a cross-platform library that provides the necessary interfaces
@@ -32,7 +34,8 @@
 
 Package: libfreenect-dev
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, libfreenect0.1 (= ${binary:Version})
+Multi-Arch: same
+Depends: ${misc:Depends}, libfreenect0.2 (= ${binary:Version})
 Description: library for accessing Kinect device -- development files
  libfreenect is a cross-platform library that provides the necessary interfaces
  to activate, initialize, and communicate data with the Kinect hardware.
@@ -50,7 +53,7 @@
 Package: libfreenect-bin
 Section: utils
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libfreenect-demos (<< 1:0.1.2+dfsg-1)
 Breaks: libfreenect-demos (<< 1:0.1.2+dfsg-1)
 Description: library for accessing Kinect device -- utilities and samples
@@ -68,7 +71,7 @@
 
 Package: libfreenect-demos
 Architecture: any
-Depends: neurodebian-popularity-contest, libfreenect-bin, ${misc:Depends}
+Depends: libfreenect-bin, ${misc:Depends}
 Description: library for accessing Kinect device -- dummy package
  libfreenect is a cross-platform library that provides the necessary interfaces
  to activate, initialize, and communicate data with the Kinect hardware.
@@ -86,7 +89,8 @@
 Package: libfreenect-doc
 Section: doc
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}
+Multi-Arch: foreign
+Depends: ${misc:Depends}
 Description: library for accessing Kinect device -- documentation
  libfreenect is a cross-platform library that provides the necessary interfaces
  to activate, initialize, and communicate data with the Kinect hardware.
@@ -104,8 +108,8 @@
 Section: python
 Architecture: any
 Provides: ${python:Provides}
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
-         libfreenect0.1 (= ${binary:Version}), python-numpy
+Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
+         libfreenect0.2 (= ${binary:Version}), python-numpy
 Suggests: python-matplotlib, python-opencv
 Description: library for accessing Kinect device -- Python bindings
  libfreenect is a cross-platform library that provides the necessary interfaces
@@ -124,7 +128,7 @@
 Package: freenect
 Section: libs
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, libfreenect-bin, libfreenect-dev, libfreenect0.1,
+Depends: ${misc:Depends}, libfreenect-bin, libfreenect-dev, libfreenect0.2,
  libfreenect-doc
 Description: library for accessing Kinect device -- metapackage
  libfreenect is a cross-platform library that provides the necessary interfaces

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-Bsymbolic-functions -Wl,--as-needed
export MA_TRIPLET=`dpkg-architecture -qDEB_HOST_MULTIARCH`

%:
	dh $@ --with python2

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_PYTHON:Bool=True -DPROJECT_LIBRARY_INSTALL_DIR="lib/$(MA_TRIPLET)"

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	doxygen debian/doxygen.conf
else
	: # Documentation was not built due to nodoc flag in DEB_BUILD_OPTIONS
	: # Creating dummy blank debian/html expected by -doc package
	mkdir -p debian/html
endif

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/usr/bin/glview debian/tmp/usr/bin/freenect-glview
	mv debian/tmp/usr/bin/glpclview debian/tmp/usr/bin/freenect-glpclview
	mv debian/tmp/usr/bin/cppview debian/tmp/usr/bin/freenect-cppview

override_dh_python2:
	dh_python2 -p python-freenect
	if [ -x /usr/bin/dh_numpy ]; then dh_numpy -ppython-freenect; fi

override_dh_installdocs:
	dh_installdocs --all CONTRIB

override_dh_makeshlibs:
	dh_makeshlibs -Xfakenect

override_dh_clean-indep:
	rm -rf debian/html

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
  https://github.com/OpenKinect/libfreenect/tags .*/tarball/v(\d[\d\.]+)
